from abaqus import *
from abaqusConstants import *
from caeModules import *
    

def createTestblock(kw_name, kw_depth, kw_heigth, kw_width):
    
    vps = session.viewports[session.currentViewportName]
    vpname = vps.name
    modelName = session.sessionState[session.currentViewportName]['modelName']
    
    #mydepth = 30.0
    #myheigth = 5.5
    #mywidth = 13.0
    
    ####################################################################################
    
    s = mdb.models[modelName].ConstrainedSketch(name='__profile__', 
        sheetSize=200.0)
    g, v, d, c = s.geometry, s.vertices, s.dimensions, s.constraints
    s.setPrimaryObject(option=STANDALONE)
    s.rectangle(point1=(0.0, 0.0), point2=(kw_width, kw_heigth))
    p = mdb.models[modelName].Part(name=kw_name, dimensionality=THREE_D, 
        type=DEFORMABLE_BODY)
    p = mdb.models[modelName].parts[kw_name]
    p.BaseSolidExtrude(sketch=s, depth=kw_depth)
    s.unsetPrimaryObject()
    session.viewports[vpname].setValues(displayedObject=p)
    session.viewports[vpname].view.setProjection(projection=PARALLEL)
    
    del mdb.models[modelName].sketches['__profile__']


#depth= 30.0
#heigth= 5.5
#width = 13.0
#pname = 'testblock'
#createBlock(pname, depth, heigth, width)